Get user information

This endpoint retrieves the information of a user filtered by their username.

GET /api/v2/businesses/{businessId}/users/{userName}

If the data included in the request is correct —both businessId and userName—, the response will contain the information defined for the employee.

Response example

{
    "username": "test.user@orquest.com",
    "email": "test.user@orquest.com",
    "nodes": [
        5391, 5392
    ],
    "roles": ["Manager"]
}
Details
  • username: name of the user.

  • mail: email address linked to the user.

  • nodes: nodes in which the user has visibility.

  • roles: user roles.

Considerations

If the user does not have any role assigned, an empty array [] will appear in this field.

Any user with access to the business can query the information of any other user in the business, without checking the nodes over which each of them has visibility.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

404 Not Found

-

The specified userName does not match any user in the business.

This endpoint has its own error handling that does not follow the general API format: the 401 Forbidden from the common catalog (no permission over the business) is returned here as 404 Not Found with no body, just like the user not found case. Only 401 Business forbidden (non-existent business) keeps the usual format, with the literal in message. This endpoint does not check nodes, so 401 Service or node forbidden does not apply.

What is a user?

What is a node?

What is the difference between an employee role and a user role?